/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.progress.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.progress.entity.PlanningStatistics;
import com.jeeplus.modules.sg.progress.entity.ShowStatistics;
import com.jeeplus.modules.sg.progress.entity.YearProgress;

import java.util.List;

/**
 * 车辆MAPPER接口
 * @author lgf
 * @version 2018-06-12
 */
@MyBatisMapper
public interface YearProgressMapper extends BaseMapper<YearProgress> {
    void replaceAll(List<YearProgress> yearProgressList);

    List<String> findAllYear();

    List<PlanningStatistics> findStatisticPage(PlanningStatistics planningStatistics);

    List<PlanningStatistics> findYearStatistic();

    List<ShowStatistics> showAllYear();

    int update(YearProgress entity);

    YearProgress getByName(String name);
}